# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include nginx
class nginx (
  String $server_package,
  String $server_service,

  String                         $user,
  Variant[Enum['auto'], Integer] $worker_processes,
  String                         $pid,

  Integer $worker_connections,

  Nginx::NginxBool         $sendfile,
  Nginx::NginxBool         $tcp_nopush,
  Nginx::NginxBool         $tcp_nodelay,
  Variant[Integer, String] $keepalive_timeout,
  Integer                  $types_hash_max_size,
  String                   $default_type,

  Array[String]    $ssl_protocols,
  Nginx::NginxBool $ssl_prefer_server_ciphers,

  String $access_log,
  String $error_log,

  Nginx::NginxBool $gzip,
  Array[String]    $gzip_disable,
) {
  contain 'nginx::install'
  contain 'nginx::service'
}
