require 'spec_helper'

describe 'nginx::install' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }
      let(:pre_condition) { "class {'nginx':}" }

      it { is_expected.to compile.with_all_deps }

      case os_facts[:'os::family']
      when 'Debian'
        it { is_expected.to contain_package('nginx').with_ensure('installed') }
      end
    end
  end
end
