require 'spec_helper'

describe 'nginx::service' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }
      let(:pre_condition) { "class {'nginx':}" }

      it { is_expected.to compile.with_all_deps }

      case os_facts[:'os::family']
      when 'Debian'
        it do
          is_expected.to contain_service('nginx').with(
            'ensure' => 'running',
            'enable' => true,
          )
        end
      end
    end
  end
end
